Congrats: your browser supports TLS 1.2 and strong ciphers

Congratulations!

If you are reading this post, your browser supports TLS 1.2. Today, I eliminated support on this site for TLS 1.0 and TLS 1.1 along with a bunch of insecure cipher suites.

With TLS 1.3 now working its way into the internet, it’s time to eliminate support for creaky, old versions of TLS. They’ve served us well, but it’s time to kiss them goodbye.

I tested this site with recent versions of Google Chrome, Firefox, Microsoft Edge, Safari and Internet Explorer 11 on both macOS and Windows. All work (you know that!) and while I’ll miss those visitors who are using older, insecure browsers, they are welcome back when they update to a more-current version.

Check out Thinking Aloud’s A+ rating from sslabs.com. You can see precisely which cipher suites this site supports.


Posted

in

by

Comments

Leave a Reply

Your email address will not be published. Required fields are marked *